<template>
  <q-page padding>Saliendo del sistema !</q-page>
</template>

<script lang="ts">
import { Loading, QSpinnerBall } from 'quasar';
import { useUserStore } from 'src/stores/user';
import { defineComponent, onMounted } from 'vue';

export default defineComponent({
  setup() {
    const store = useUserStore();
    onMounted(async () => {
      Loading.show({
        spinner: QSpinnerBall,
        message: 'Saliendo del sistema',
      });
      await store.logout();
    });
  },
});
</script>
